package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.ConexionRutaConf;
import com.rjconsultores.ventaboletos.entidad.ConexionRutaExcepcionTipoPtoVta;

public interface ConexionRutaExcepcionTipoPtoVtaService {

	public void gerarConexiones();

	public ConexionRutaExcepcionTipoPtoVta suscribir(ConexionRutaExcepcionTipoPtoVta conexion);

	public ConexionRutaExcepcionTipoPtoVta actualizacion(ConexionRutaExcepcionTipoPtoVta conexion);

	public void borrar(ConexionRutaExcepcionTipoPtoVta conexion);

	public List<ConexionRutaExcepcionTipoPtoVta> buscarPorConexionCtrl(Long conexcionCtrlId);

	public void borrar(List<ConexionRutaExcepcionTipoPtoVta> lsConexion);

	public void suscribirTodos(List<ConexionRutaExcepcionTipoPtoVta> conexiones);


	public List<ConexionRutaExcepcionTipoPtoVta> buscarPorConexionConf(ConexionRutaConf conexionRutaConf);
}
